Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# DistributedSmoothNodeBase Class Reference

Inheritance diagram for DistributedSmoothNodeBase:

List of all members.

## Public Member Functions
def | __init__
def | b_clearSmoothing
def | d_clearSmoothing
def | delete
def | disable
def | generate
def | getPosHprBroadcastPeriod
def | getPosHprBroadcastTaskName
| posHprBroadcast ###
def | posHprBroadcastStarted
def | sendCurrentPosition
def | setPosHprBroadcastPeriod
def | startPosHprBroadcast
def | stopPosHprBroadcast
def | wantSmoothPosBroadcastTask
## Public Attributes
| broadcastType
| cnode
| d_broadcastPosHpr
## Static Public Attributes
tuple | BroadcastTypes = Enum('FULL, XYH, XY')

## Detailed Description

    common base class for DistributedSmoothNode and DistributedSmoothNodeAI

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

## Member Function Documentation

def b_clearSmoothing | ( |  | self | ) |

def d_clearSmoothing | ( |  | self | ) |

def delete | ( |  | self | ) |

Reimplemented in DistributedSmoothNode, and DistributedSmoothNodeAI.

def disable | ( |  | self | ) |

Reimplemented in DistributedSmoothNode, and DistributedSmoothNodeAI.

def generate | ( |  | self | ) |

Reimplemented in DistributedSmoothNode, and DistributedSmoothNodeAI.

def getPosHprBroadcastPeriod | ( |  | self | ) |

def getPosHprBroadcastTaskName | ( |  | self | ) |

posHprBroadcast ###

def posHprBroadcastStarted | ( |  | self | ) |

def sendCurrentPosition | ( |  | self | ) |

def setPosHprBroadcastPeriod | ( |  | self,
|  |  | period
| ) |  |

def startPosHprBroadcast | ( |  | self,
|  |  | period = `.2`,
|  |  | stagger = `0`,
|  |  | type = `None`
| ) |  |

def stopPosHprBroadcast | ( |  | self | ) |

def wantSmoothPosBroadcastTask | ( |  | self | ) |

## Member Data Documentation

broadcastType

tuple BroadcastTypes = Enum('FULL, XYH, XY')`[static]`

cnode

d_broadcastPosHpr

All Classes Namespaces Functions Variables Enumerations Enumerator Properties